Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HCorrelatorSelector

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HCorrelatorSelector

    public class HCorrelatorSelector

extends HObject

Field Summary
`static java.lang.String` | `SELECT_MESSAGE_ROUTE_IDS_BY_INSTANCES`
`static java.lang.String` | `SELECT_MESSAGE_ROUTE_IDS_BY_PROCESS`

Constructor Summary
`HCorrelatorSelector()`

Method Summary
`java.lang.String` | `getCorrelationKey()`
`HCorrelator` | `getCorrelator()`
`java.lang.String` | `getGroupId()`
`int` | `getIndex()`
`HProcessInstance` | `getInstance()`
`java.lang.String` | `getProcessType()`
`java.lang.String` | `getRoute()`
`void` | `setCorrelationKey(java.lang.String correlationKey)`
`void` | `setCorrelator(HCorrelator correlator)`
`void` | `setGroupId(java.lang.String groupId)`
`void` | `setIndex(int idx)`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setProcessType(java.lang.String _processType)`
`void` | `setRoute(java.lang.String _routePolicy)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT_MESSAGE_ROUTE_IDS_BY_PROCESS

    public static final java.lang.String SELECT_MESSAGE_ROUTE_IDS_BY_PROCESS

See Also:
  Constant Field Values

### SELECT_MESSAGE_ROUTE_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_MESSAGE_ROUTE_IDS_BY_INSTANCES

See Also:
  Constant Field Values

Constructor Detail

### HCorrelatorSelector

    public HCorrelatorSelector()

Method Detail

### getInstance

    public HProcessInstance getInstance()

### setInstance

    public void setInstance(HProcessInstance instance)

### getGroupId

    public java.lang.String getGroupId()

### setGroupId

    public void setGroupId(java.lang.String groupId)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int idx)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `HObject`

### getCorrelationKey

    public java.lang.String getCorrelationKey()

### setCorrelationKey

    public void setCorrelationKey(java.lang.String correlationKey)

### getProcessType

    public java.lang.String getProcessType()

### setProcessType

    public void setProcessType(java.lang.String _processType)

### getRoute

    public java.lang.String getRoute()

### setRoute

    public void setRoute(java.lang.String _routePolicy)

### getCorrelator

    public HCorrelator getCorrelator()

### setCorrelator

    public void setCorrelator(HCorrelator correlator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD